<style>
    table{
        width: 100%;
        text-align: left;
    }
    td{padding: 10px;}
</style>


<div class="box">
 	<div class="box-body">
		<div class="panel panel-success">
            <div class="panel-heading">
             	<h3 class="panel-title"><i class="fa fa-dollar"></i>&nbsp;Impactos Previstos</h3>
            </div>
            

            <div class="box-body">
<form class="form-horizontal" method="post" enctype="multipart/form-data" action="">
         <div class="box-body">
<fieldset><legend>Dados do Emprestimo</legend>
			 <div class="form-group">
                <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b> Mutuário</label>
				 <div class="col-sm-10">
                <select name="borrower" class="customer select2" style="width: 100%;" required>
          				<option>--Selecione Cliente--</option>
          				<?php
          				$get = mysqli_query($link, "SELECT * FROM borrowers order by id") or die (mysqli_error($link));
          				while($rows = mysqli_fetch_array($get))
          				{
          				echo '<option value="'.$rows['id'].'">'.$rows['fname'].'&nbsp;'.$rows['lname'].'</option>';
          				}
          				?>
                </select>
              </div>
			  </div>
			  
			<div class="form-group">
                  <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b> Conta</label>
                  <div class="col-sm-10">
                  <select class="account select2" name="account" style="width: 100%;" required>
			
				</select>
                  </div>
            </div>

		
		<div class="form-group">
                  <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b> Linha de Financiamento</label>
                  <div class="col-sm-10">
                  <select class="credito select2" name="credito" style="width: 100%;" required>
				<option></option>
                  
				</select>
                  </div>
            </div>
    
    
			<div class="form-group">
                  <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b> Tipo de Credito</label>
                  <div class="col-sm-10">
                  <select class="cadeia select2" name="cadeia" style="width: 100%;" required>
				
				</select>
                  </div>
            </div>	
		    <div class="form-group">
                  <label for="" class="col-sm-2 control-label" style="color:#009900"><b style="color:red">*</b>Cadeia de Valores</label>
                  <div class="col-sm-10">
                  <select class="cadeiaVal select2" name="cadeiaVal" style="width: 100%;" required>
				    <option value="Horticulas">Horticulas</option>
				    <option value="Piscicultura">Piscicultura</option>
				    <option value="Sivicultura">Sivicultura</option>
				    <option value="Pecuaria">Pecuaria</option>
				    <option value="Feijão">Feijão</option>
				    <option value="Milho">Milho</option>
				    <option value="Arroz">Arroz</option>
				    <option value="Soja">Soja</option>
				</select>
                  </div>
            </div>
</fieldset>
<br>
<div class="table-responsive"><legend>Produção</legend>
  <table class="table">
    <thead style="display:none;">
            <th style="display:none;">Artigo</th>
            <th>Quantidade prevista</th>
            <th>Area Prevista</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td><input placeholder="Artigo" autofocus type="text" id="cultura_pr"></td>
                <td><input placeholder="Qty Prevista" type="number" id="qtd"></td>
                <td><input placeholder="Area Prevista" type="number" id="area" step="0.01"></td>
                <td><input class="col-md-6" type="button" id="btn_prod" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="3"><p id="mensagem_prod"></p></td>
            </tr>
        </tbody>
        <label>
            <table class="table">
        <thead>
            <th>Artigo</th>
            <th>Receita prevista</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td><input type="text" id="cultura_re"></td>
                <td><input type="number" id="valor" step="0.01"></td>
                <td><input class="col-md-6" type="button" id="btn_re" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="3"><p id="mensagem_re"></p></td>
            </tr>
        </tbody>
  </table>
</div>
            
        </label>
        
  </table>
</div>


<!---<fieldset class="border p-2"><legend>Produção</legend>
    <table cellpadding="0">
        <thead>
            <th>Artigo</th>
            <th>Quantidade prevista</th>
            <th>Area Prevista</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td><input autofocus type="text" id="cultura_pr"></td>
                <td><input type="number" id="qtd"></td>
                <td><input type="number" id="area" step="0.01"></td>
                <td><input type="button" id="btn_prod" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="3"><p id="mensagem_prod"></p></td>
            </tr>
        </tbody>
    </table>
</fieldset>


<br>
<!--<fieldset><legend>Receitas</legend>
    <table cellpadding="5">
        <thead>
            <th>Artigo</th>
            <th>Receita prevista</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td><input type="text" id="cultura_re"></td>
                <td><input type="number" id="valor" step="0.01"></td>
                <td><input type="button" id="btn_re" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="3"><p id="mensagem_re"></p></td>
            </tr>
        </tbody>
    </table>
</fieldset>-->

<div class="table-responsive"><legend>Receitas</legend>
  <table class="table">
        <thead>
            <th>Artigo</th>
            <th>Receita prevista</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td><input type="text" id="cultura_re"></td>
                <td><input type="number" id="valor" step="0.01"></td>
                <td><input type="button" id="btn_re" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="3"><p id="mensagem_re"></p></td>
            </tr>
        </tbody>
  </table>
</div>

<br>
<div class="table-responsive"><legend>Numero de Beneficiarios</legend>
  <table class="table">
    <thead>
            <th>Descrição</th>
            <th>Nº Previsto</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Familias Beneficiadas</td>
                <td><input type="number" id="nr_fam_beneficiarios"></td>
                <td><input type="button" id="btn_bene" value="Adicionar"></td>
            <tr>
                <td colspan="3"><p id="mensagem_bene"></p></td>
            </tr>
        </tbody>
        
        <thead>
            <th>Descrição</th>
            <th>Nº Previsto</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Beneficiarios</td>
                <td><input type="number" id="nr_beneficiarios"></td>
                <td><input type="button" id="btn_ben" value="Adicionar"></td>
            <tr>
                <td colspan="3"><p id="mensagem_ben"></p></td>
            </tr>
        </tbody>
  </table>
</div>


<!--<fieldset><legend>Numero de Beneficiarios</legend>
<table cellpadding="5">
        <thead>
            <th>Descrição</th>
            <th>Nº Previsto</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Familias Beneficiadas</td>
                <td><input type="number" id="nr_fam_beneficiarios"></td>
                <td><input type="button" id="btn_bene" value="Adicionar"></td>
            <tr>
                <td colspan="3"><p id="mensagem_bene"></p></td>
            </tr>
        </tbody>
    </table>
    <table cellpadding="5">
        <thead>
            <th>Descrição</th>
            <th>Nº Previsto</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Beneficiarios</td>
                <td><input type="number" id="nr_beneficiarios"></td>
                <td><input type="button" id="btn_ben" value="Adicionar"></td>
            <tr>
                <td colspan="3"><p id="mensagem_ben"></p></td>
            </tr>
        </tbody>
    </table>
    
</fieldset>-->

<div class="table-responsive">
  <table class="table">
    <thead>
            <th>Descrição</th>
            <th>Mulheres</th>
            <th>Homens</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Número de empregos criados fixos, criados na região(Incluindo género)</td>
                <td><input type="number" id="mulheres_fixo"></td>
                <td><input type="number" id="homens_fixo"></td>
                <td><input type="button" id="btn_fixo" value="Adicionar"></td>
            <tr>
                <td colspan="4"><p id="mensagem"></p></td>
            </tr>
        </tbody>
        
        <thead>
            <th>Descrição</th>
            <th>Mulheres</th>
            <th>Homens</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Número de empregos criados Sazonais criados na região(Incluindo género)</td>
                <td><input type="number" id="mulheres_sazonais"></td>
                <td><input type="number" id="homens_sazonais"></td>
                <td><input type="button" id="btn_sazonais" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="4"><p id="mensagem_saz"></p></td>
            </tr>
        </tbody>
        
  </table>
</div>


<br>
<!--<fieldset><legend>Numero de empregos criados</legend>
    <table cellpadding="5">
        <thead>
            <th>Descrição</th>
            <th>Mulheres</th>
            <th>Homens</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Número de empregos criados fixos, criados na região(Incluindo género)</td>
                <td><input type="number" id="mulheres_fixo"></td>
                <td><input type="number" id="homens_fixo"></td>
                <td><input type="button" id="btn_fixo" value="Adicionar"></td>
            <tr>
                <td colspan="4"><p id="mensagem"></p></td>
            </tr>
        </tbody>
    </table>
    <table cellpadding="5">
        <thead>
            <th>Descrição</th>
            <th>Mulheres</th>
            <th>Homens</th>
            <th>Acção</th>
        </thead>
        <tbody>
            <tr>
                <td>Número de empregos criados Sazonais criados na região(Incluindo género)</td>
                <td><input type="number" id="mulheres_sazonais"></td>
                <td><input type="number" id="homens_sazonais"></td>
                <td><input type="button" id="btn_sazonais" value="Adicionar"></td>
            </tr>
            <tr>
                <td colspan="4"><p id="mensagem_saz"></p></td>
            </tr>
        </tbody>
    </table>
</fieldset>-->

			  </form>
			  

           
</div>	
</div>
</div>
</div>

<script type="text/javascript">
	$(function() {
	   $(".credito").on('change', function(){
	        preecher_select();
	    });
	    $(".customer").on('change', function(){
	        preecher_select2();
	        preecher_select3();
	    });
	    $("#btn_prod").on('click', function(){
	       addProd();
	    });
	    $("#btn_re").on('click', function(){
	       addRei();
	    });
	    $("#btn_fixo").on('click', function(){
	       addFixo();
	    });
	    $("#btn_sazonais").on('click', function(){
	       addSazonais();
	    });
	    $("#btn_bene").on('click', function(){
	       addBene();
	    });
	    $("#btn_ben").on('click', function(){
	       addBen();
	    });
	    function addBene() {
			$.ajax({
				url: 'addBene.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    nr_fam_beneficiarios: $("#nr_fam_beneficiarios").val()
				},
				success: function(data) {
				    $("#nr_fam_beneficiarios").val("");
					$("#mensagem_bene").html(data).css({color: "green"});
				},
				error: function() {
					$("#mensagem_bene").html("Ocorreu um erro na tentativa de adicionar a cultura!").css({color: "red"});
				}
			});
		}
		function addBen() {
			$.ajax({
				url: 'addBen.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    nr_beneficiarios: $("#nr_beneficiarios").val()
				},
				success: function(data) {
				    $("#nr_beneficiarios").val("");
					$("#mensagem_ben").html(data).css({color: "green"});
				},
				error: function() {
					$("#mensagem_ben").html("Ocorreu um erro na tentativa de adicionar a cultura!").css({color: "red"});
				}
			});
		}
		function preecher_select() {
		    var ida = $(".credito").val();
			$.ajax({
				url: 'cadeiaValores.php',
				type: 'GET',
				data:{
				    id: ida
				},
				success: function(data) {
					$(".cadeia").html(data);
				},
				error: function() {
					$(".cadeia").html("Ocorreu um erro na tentativa de preencher o select!");
				}
			});
		}
		function addProd() {
			$.ajax({
				url: 'addProducao.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    cultura: $("#cultura_pr").val(),
				    qtd: $("#qtd").val(),
				    area: $("#area").val()
				},
				success: function(data) {
				    $("#cultura_pr").val("");
					$("#qtd").val("");
					$("#area").val("");
					$("#mensagem_prod").html(data).css({color: "green"});
				},
				error: function() {
					$("#mensagem_prod").html("Ocorreu um erro na tentativa de adicionar a cultura!").css({color: "red"});
				}
			});
		}
		function addRei() {
			$.ajax({
				url: 'addReceita.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    cultura: $("#cultura_re").val(),
				    valor: $("#valor").val()
				},
				success: function(data) {
				    $("#cultura_re").val("");
					$("#valor").val("");
					$("#mensagem_re").html(data).css({color: "green"});
				},
				error: function() {
					$("#mensagem_re").html("Ocorreu um erro na tentativa de adicionar a cultura!").css({color: "red"});
				}
			});
		}
		function addFixo() {
			$.ajax({
				url: 'addFixo.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    mulheres_fixo: $("#mulheres_fixo").val(),
				    homens_fixo: $("#homens_fixo").val()
				},
				success: function(data) {
				    $("#mulheres_fixo").val("");
					$("#homens_fixo").val("");
					$("#mensagem").html(data).css({color: "green"});
				},
				error: function() {
					$("#mensagem").html("Ocorreu um erro na tentativa de adicionar os empregos!").css({color: "red"});
				}
			});
		}
		function addSazonais() {
			$.ajax({
				url: 'addSazonais.php',
				type: 'GET',
				data:{
				    mutuario: $(".customer").val(),
				    linha: $(".credito").val(),
				    cadeia: $(".cadeia").val(),
				    cadeiaVal: $(".cadeiaVal").val(),
				    mulheres_sazonais: $("#mulheres_sazonais").val(),
				    homens_sazonais: $("#homens_sazonais").val()
				},
				success: function(data) {
				    $("#mulheres_sazonais").val("");
					$("#homens_sazonais").val("");
					$("#mensagem_saz").html(data).css({color: "green"});
				},
				error: function() {
					$("#mensagem_saz").html("Ocorreu um erro na tentativa de adicionar os empregos!").css({color: "red"});
				}
			});
		}
		function preecher_select2() {
		    var ida = $(".customer").val();
			$.ajax({
				url: 'numeroConta.php',
				type: 'GET',
				data:{
				    id: ida
				},
				success: function(data) {
					$(".account").html(data);
				},
				error: function() {
					$(".account").html("Ocorreu um erro na tentativa de preencher o select!");
				}
			});
		}
		function preecher_select3() {
		    var ida = $(".customer").val();
			$.ajax({
				url: 'linha_impacto.php',
				type: 'GET',
				data:{
				    id: ida
				},
				success: function(data) {
					$(".credito").html(data);
				},
				error: function() {
					$(".credito").html("Ocorreu um erro na tentativa de preencher o select!");
				}
			});
		}
	});
</script>